=== desktop/CMakeLists.txt ===
if(INSTALL_DESKTOP AND ENABLE_GTK)
  CONFIGURE_FILE(org.pkexec.ettercap.policy.in
    ${PKEXEC_INSTALL_WRAPPER}.policy @ONLY)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PKEXEC_INSTALL_WRAPPER}.policy DESTINATION ${POLKIT_DIR})
  install(FILES ettercap.svg DESTINATION ${ICON_DIR})
  install(FILES ettercap.desktop DESTINATION ${DESKTOP_DIR})
  install(PROGRAMS ettercap-pkexec DESTINATION ${INSTALL_BINDIR})
endif(INSTALL_DESKTOP AND ENABLE_GTK)
