=== debian/changelog ===
ettercap (1:0.8.0-11) unstable; urgency=medium

  * Removing ethtool as b-d for non linux kernels.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Tue, 11 Mar 2014 09:52:02 +0100

ettercap (1:0.8.0-10) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Fixed other failures on kfreebsd and HURD, due to
    missing function on not linux platforms

  [ Barak A. Pearlmutter ]
  * Prep for release

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 10 Mar 2014 08:25:34 +0000

ettercap (1:0.8.0-9) unstable; urgency=medium

  * Order matters, for kfreebsd stuff

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sun, 02 Mar 2014 08:10:37 +0100

ettercap (1:0.8.0-8) unstable; urgency=medium

  * Another mod for hurd and kfreebsd

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 01 Mar 2014 13:46:57 +0100

ettercap (1:0.8.0-7) unstable; urgency=medium

  * Hopefully we can get rid of the BPF problem this time.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 28 Feb 2014 10:36:27 +0100

ettercap (1:0.8.0-6) unstable; urgency=medium

  * Fixing kfreebsd-* build failure.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 26 Feb 2014 12:48:14 +0100

ettercap (1:0.8.0-5) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Fixed ettercap-pkexec path failure with previous upload
  * sed s/libtldl-dev/libltdl-dev/g -i debian/control
    to prevent build failures (Closes: #739975)

  [ Barak A. Pearlmutter ]
  * Add Gianfranco Costamagna as co-maintainer

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 25 Feb 2014 19:45:26 +0000

ettercap (1:0.8.0-4) unstable; urgency=medium

  * Move ettercap-pkexec w/ man page from ettercap-common to ettercap-graphical
  * sed s/B0/BZERO/g -i src/ec_encryption_ccmp.c to avoid powerpc build failure

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 25 Feb 2014 14:20:42 +0000

ettercap (1:0.8.0-3) unstable; urgency=medium

  * Install /usr/bin/ettercap not /usr/sbin/ for non-root log analysis
  * Disable LUA support

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 25 Feb 2014 12:08:14 +0000

ettercap (1:0.8.0-2) unstable; urgency=medium

  * Fiddle faddle with the packaging scripts
  * Enable lua support with appropriate build dependencies
  * Name the shared library libettercap.so.0
  * Update the lintian overrides

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 24 Feb 2014 22:43:15 +0000

ettercap (1:0.8.0-1) unstable; urgency=low

  [ Gianfranco Costamagna ]
  * New upstream version
  * Added policykit-1 to ettercap-graphical
  * Added luajit to build-dep
  * Updated debian/rules clean target
  * Removed patches, addressed upstream
  * Added ethtool dependency, needed for disabling
    segmentation offload
  * Tweaked debian/watch file
  * Install libettercap.so in ettercap-common.
  * Added libettercap.so to clean target
  * Bumped standard version to 3.9.5, no changes required.

  [ Raphaël Hertzog ]
  * Drop Debian specific patches:
    - 0001-desktop.patch: upstream uses pkexec by default now, no need to use
      su-to-root, thus drop dep on menu and add dep on policykit-1
    - 0002-centre-scalable-icon.patch: merged upstream
  * Fix CMakeLists.txt to not barf on Debian's
    CMAKE_BUILD_TYPE=RelWithDebInfo.
  * Tweak install files to let upstream install the desktop file, the
    policy kit rules, and the pkexec wrapper.
  * Add some lintian overrides to deal with the internal but public
    libettercap.so.

  [ Barak A. Pearlmutter ]
  * Migrated debian/rules clean target to debian/clean
  * Add "chrpath --delete xxx" to debian/rules as necessary.
  * Apparently Debian passes CMAKE_BUILD_TYPE=RelWithDebInfo; make it so!

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 24 Feb 2014 21:07:04 +0000
